#!/usr/bin/python3
# ******************************************************************************
# Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
# licensed under the Mulan PSL v2.
# You can use this software according to the terms and conditions of the Mulan PSL v2.
# You may obtain a copy of Mulan PSL v2 at:
#     http://license.coscl.org.cn/MulanPSL2
# THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
# PURPOSE.
# See the Mulan PSL v2 for more details.
# ******************************************************************************/
import argparse

import requests

URL = 'http://124.160.11.57:8100/git_command'


class TestUrl:
    def __init__(self):
        self.parser = argparse.ArgumentParser()
        self.parser.add_argument('-n', '--name', action='store', type=str, required=True, help='package name')
        self.parser.add_argument('-c', '--commit', action='store', type=str, required=True, help='commit id')
        self.args = self.parser.parse_args()

    def get_patch(self):
        first_char = self.args.name.lower()[0]
        package_name = self.args.name
        commit_id = self.args.commit
        body = {
            "git_repo": f"upstream/{first_char}/{package_name}/{package_name}.git",
            "git_command": ["git-show", commit_id, "--pretty=email"]
        }
        response = requests.post(URL, json=body)
        return response.status_code, response.text


if __name__ == '__main__':
    obj = TestUrl()
    code, content = obj.get_patch()
    print(f'code is {code}')
    print(f'content is {content}')
